//SUMMARY:  Replication file for Ballard-Rosa (2014) "Hungry for Change"
clear all
*set more off

//Set directory where datasets are stored here:
cd "C:\Users\cambr\Dropbox\CBR Data\Dissertation Empirics\" //UNC DESKTOP

//This specifies the relevant sets of covariates:
global baseline "wdi_urban ln_gdp chg_gdp debtgdp inflation trade"
global fullControls "wdi_urban ln_gdp chg_gdp debtgdp wdi_imp wdi_exp crisisyr ln_pop oilrenpc foreign agereg  wdi_ase"
global yearFE "yrdum2-yrdum49"
global countryFE "cdum2-cdum67"

//This produces the results found in Table 1:
miest mi_ts probit default_lead foodimp $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead wdi_urban $yearFE $countryFE if democ == 0 , vce(cluster ccode)
miest mi_ts probit default_lead foodimp $baseline $yearFE $countryFE if democ == 0 , vce(cluster ccode)
miest mi_ts probit default_lead foodimp $fullControls foodXurban $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead foodimp $fullControls foodXurban $yearFE $countryFE if democ == 1, vce(cluster ccode)

//Table 2:
miest mi_ts probit default_lead foodpop $baseline foodpopXurban $yearFE $countryFE if democ == 0 , vce(cluster ccode)
miest mi_ts probit def_plus1 foodimp $fullControls foodXurban $yearFE $countryFE if democ == 0 & cont_def_lead == 0, vce(cluster ccode)

//Table 3:
miest mi_ts probit default_lead manufimp wdi_urban ln_gdp chg_gdp debtgdp wdi_imp wdi_exp crisisyr $yearFE $countryFE if democ == 0 , vce(cluster ccode)
miest mi_ts probit default_lead armsimp wdi_urban ln_gdp chg_gdp debtgdp wdi_imp wdi_exp crisisyr $yearFE $countryFE if democ == 0 , vce(cluster ccode)
miest mi_ts probit default_lead fuelimp wdi_urban ln_gdp chg_gdp debtgdp wdi_imp wdi_exp crisisyr $yearFE $countryFE if democ == 0 , vce(cluster ccode)

//FROM THE ONLINE APPENDIX:
//Table 6:
miest mi_ts xtreg default_lead foodimp $fullControls foodXurban $yearFE if democ == 0, fe vce(cluster ccode)
miest mi_ts xtlogit default_lead foodimp $fullControls foodXurban $yearFE if democ == 0, fe 
miest mi_ts probit default_lead foodimp $fullControls foodXurban sov_debt_ext if democ == 0, vce(cluster ccode)

//Table 7:
miest mi_ts probit currency_lead foodimp wdi_urban ln_gdp chg_gdp debtgdp trade banking inflation foodXurban $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit inflation_lead foodimp wdi_urban ln_gdp chg_gdp debtgdp trade banking currency_amend foodXurban $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit banking_lead foodimp wdi_urban ln_gdp chg_gdp debtgdp trade currency_amend inflation foodXurban $yearFE $countryFE if democ == 0, vce(cluster ccode)

//Table 9:
miest mi_ts probit default_lead foodimp $baseline foodXchggdp urbanXchggdp foodXdebt urbanXdebt foodXinflation urbanXinflation foodXtrade urbanXtrade $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead foodimp $baseline foodXchggdp urbanXchggdp $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead foodimp $baseline foodXdebt urbanXdebt $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead foodimp $baseline foodXinflation urbanXinflation $yearFE $countryFE if democ == 0, vce(cluster ccode)
miest mi_ts probit default_lead foodimp $baseline foodXtrade urbanXtrade $yearFE $countryFE if democ == 0, vce(cluster ccode)

